with GNATCOM.Dispinterface;

package MSHTML.IClientCaps_Object is

   type IClientCaps_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_javaEnabled
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_cookieEnabled
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_cpuClass
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_systemLanguage
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_userLanguage
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_platform
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_connectionSpeed
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_onLine
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_colorDepth
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_bufferDepth
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_width
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_height
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_availHeight
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_availWidth
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function Get_connectionType
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   function isComponentInstalled
     (This     : IClientCaps_Type;
      bstrName : GNATCOM.Types.VARIANT;
      bstrURL  : GNATCOM.Types.VARIANT;
      bStrVer  : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getComponentVersion
     (This     : IClientCaps_Type;
      bstrName : GNATCOM.Types.VARIANT;
      bstrURL  : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function compareVersions
     (This     : IClientCaps_Type;
      bstrVer1 : GNATCOM.Types.VARIANT;
      bstrVer2 : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure addComponentRequest
     (This     : IClientCaps_Type;
      bstrName : GNATCOM.Types.VARIANT;
      bstrURL  : GNATCOM.Types.VARIANT;
      bStrVer  : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True);

   function doComponentRequest
     (This : IClientCaps_Type)
     return GNATCOM.Types.VARIANT;

   procedure clearComponentRequest
     (This : IClientCaps_Type);

end MSHTML.IClientCaps_Object;

